signature SEC = sig
    structure Req : REQUEST_OUT

    val findSubusers : string -> string list

    datatype socket_perms =
	     ANY
	   | CLIENT_ONLY
	   | SERVER_ONLY
	   | NADA

    val inGroup : string * string -> bool
    val socketPerms : string -> socket_perms
    val isTpe : string -> bool
    val cronAllowed : string -> bool
    val ftpAllowed : string -> bool

    val findFirewallRules : string -> string list
end
